.page

    YuriHeader(
        title="Test de conocimiento"
        tag="Quiero invertir"
    )

    b-row.mt-4.justify-content-center
        b-col(v-if="questions.length" cols="12" col md="10" lg="8")
            .page__intro Para evaluar el nivel máximo de riesgo que puede asumir, necesitamos conocer cual es su experiencia inversora. De acuerdo a sus respuestas, definiremos un nivel de riesgo por encima del cual no será posible invertir. Siempre podrá seleccionar un nivel de riesgo menor, pero nunca mayor. 

            .l-subtitle-small.my-5 {{questions[0].question_text}}
            b-form-group.form
                b-form-radio.form__radio(
                    v-for="(answer, answerIndex) in questions[0].answers"
                    :key="answerIndex"
                    :value="answer.num_answer"
                    v-model="responses[0].selected_response"
                ) {{answer.answer_text}}
            .page__highlight(v-if="responses[0].selected_response")
                .bg-grey.py-3.px-4.points
                    .highlight__text.font-italic Conoce dónde y con quién inviertes tu dinero. Busca un especialista para tus ahorros, igual que lo haces para tu salud. Minimizarás los errores de inversión.

            .l-subtitle-small.my-5 {{questions[1].question_text}}
            b-form-group.form
                b-form-radio.form__radio(
                    v-for="(answer, answerIndex) in questions[1].answers"
                    :key="answerIndex"
                    :value="answer.num_answer"
                    v-model="responses[1].selected_response"
                ) {{answer.answer_text}}
            .page__highlight(v-if="responses[1].selected_response")
                .bg-grey.py-3.px-4.points
                    .highlight__text.font-italic Para nosotros la volatilidad no es riesgo. La primera genera grandes oportunidades y el riesgo conlleva una pérdida permanente de capital. Estamos convencidos de que cuanta más volatilidad exista, mejores resultados lograremos en el largo plazo.

            .l-subtitle-small.my-5 {{questions[2].question_text}}
            b-form-group.form
                b-row
                    b-col(cols="12" col md="6")
                        b-form-radio.form__radio(
                            :value="questions[2].answers[0].num_answer" v-model="responses[2].selected_response"
                        ) {{questions[2].answers[0].answer_text}}
                    b-col(cols="12" col md="6")
                        b-form-radio.form__radio(
                            :value="questions[2].answers[1].num_answer" v-model="responses[2].selected_response"
                        ) {{questions[2].answers[1].answer_text}}
                b-row
                    b-col(cols="12" col md="6")
                        b-form-radio.form__radio(
                            :value="questions[2].answers[2].num_answer" v-model="responses[2].selected_response"
                        ) {{questions[2].answers[2].answer_text}}
                    b-col(cols="12" col md="6")
                        b-form-radio.form__radio(
                            :value="questions[2].answers[3].num_answer" v-model="responses[2].selected_response"
                        ) {{questions[2].answers[3].answer_text}}
            .page__highlight(v-if="responses[2].selected_response")
                .bg-grey.py-3.px-4.points
                    .highlight__text.font-italic La renta variable es el activo más rentable y menos arriesgado a largo plazo. Ser paciente es la clave del éxito. El tiempo es nuestro aliado y trabaja a nuestro favor.

            .l-subtitle-small.my-5 {{questions[3].question_text}}
            b-row.justify-content-center
                b-col(cols="12" col md="10" lg="9")
                    .page__graph(v-if="responses[3].selected_response" key="graph_1")
                        img.img-fluid(:src="graphImage2")
                    .page__graph(v-else key="graph_2")
                        img.img-fluid(:src="graphImage")

            b-form-group.form.mt-5
                b-row
                    b-col(cols="12" col md="4" v-for="(answer, answerIndex) in questions[3].answers" :key="answerIndex")
                        b-form-radio.form__radio(
                            :value="answer.num_answer"
                            v-model="responses[3].selected_response"
                        ) {{answer.answer_text}}

            .l-subtitle-small.my-5(v-if="responses[3].selected_response") {{questions[4].question_text}}
            b-form-group.form.mt-5(v-if="responses[3].selected_response")
                b-row
                    b-col(cols="12" v-for="(answer, answerIndex) in questions[4].answers" :key="answerIndex")
                        b-form-radio.form__radio(
                            :value="answer.num_answer"
                            v-model="responses[4].selected_response"
                        ) {{answer.answer_text}}
            .page__highlight(v-if="responses[4].selected_response")
                .bg-grey.py-3.px-4.points
                    .highlight__text.font-italic La templanza en momentos de pánico o euforia es fundamental para obtener buenas rentabilidades. No es fácil invertir en lo que no es popular, pero es la forma de obtener rendimientos sobresalientes.

            .l-subtitle-small.my-5 {{questions[5].question_text}}
            b-form-group.form
                b-form-radio.form__radio(
                    v-for="(answer, answerIndex) in questions[5].answers"
                    :key="answerIndex"
                    :value="answer.num_answer"
                    v-model="responses[5].selected_response"
                ) {{answer.answer_text}}
            .page__highlight(v-if="responses[5].selected_response")
                .bg-grey.py-3.px-4.points
                    .highlight__text.font-italic No importa la rentabilidad a corto plazo, lo importante es la rentabilidad acumulada a largo plazo. No intentamos predecir el movimiento de la bolsa a corto plazo.

            b-button.float-right.mt-5.e-btn.e-btn__brand.e-btn--sm-block(
                v-if="!loading"
                :class="isAnyResponseEmpty ? 'disabled' : ''"
                @click="handleNext"
            ) Continuar

            b-button.float-right.mt-5.e-btn.e-btn__brand.e-btn--sm-block(
                v-else
                :class="isAnyResponseEmpty ? 'disabled' : ''"
                @click="handleNext"
            )
                i.fas.fa-circle-notch.fa-spin
